VBA
Discuss AutoCAD ActiveX and VBA (Visual Basic for Applications) questions here.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Set Hide View attribute

2 REPLIES 2
Reply
Message 1 of 3
Anonymous
163 Views, 2 Replies

Set Hide View attribute

To all

I have found a bug in the new Expressviewer that is a little irratiating and
have to work around it with some programming. Basically the bug is when a
view port in paperspace has the hide property set to no then if the view is
clipped objects show through the clip on the DWF file (if you plot from CAD
they are OK, only show up in the DWF file). So.. I have to redefine the
publish command to set all the viewports to hide = yes

Below is the code but for some reason it doesn't change the hide option on
the property, any idea's why?

' code from Acadx.com to make selectionset
Public Function CreateSelectionSet(Optional ssName As String = "ss") As
AcadSelectionSet

Dim ss As AcadSelectionSet
On Error Resume Next
Set ss = ThisDrawing.SelectionSets(ssName)
If Err Then Set ss = ThisDrawing.SelectionSets.Add(ssName)
ss.Clear
Set CreateSelectionSet = ss
End Function

Sub test()
Dim ss As AcadSelectionSet
Dim fType(0 To 1) As Integer, fData(0 To 1)
Dim index As Long, i As Long
Dim ent As AcadEntity
Set ss = CreateSelectionSet
fType(0) = 67: fData(0) = 1
fType(1) = 0: fData(1) = "VIEWPORT"
ss.Select acSelectionSetAll, , , fType, fData
If ss.Count = 0 Then
Set ss = Nothing
Else
For i = 0 To ss.Count - 1
Set ent = ss(i)
ent.RemoveHiddenLines = True
ent.Update ' tried this to see if it would work
Next
End If
End Sub


AHGA


--
Shawn Romkey P.Geo
Noranda Mining
2 REPLIES 2
Message 2 of 3
Anonymous
in reply to: Anonymous

Some further info

It appears the code does work but only if you save the drawing and then
reenter it, at that point the hide property is set to yes. Anyway of
forcing the update immediately without leaving the drawing?

AHGA


--
Shawn Romkey P.Geo
Noranda Mining

"Shawn Romkey" wrote in message
news:1B8B6C9E994388200983AA087E372555@in.WebX.maYIadrTaRb...
> To all
>
> I have found a bug in the new Expressviewer that is a little irratiating
and
> have to work around it with some programming. Basically the bug is when a
> view port in paperspace has the hide property set to no then if the view
is
> clipped objects show through the clip on the DWF file (if you plot from
CAD
> they are OK, only show up in the DWF file). So.. I have to redefine the
> publish command to set all the viewports to hide = yes
>
> Below is the code but for some reason it doesn't change the hide option on
> the property, any idea's why?
>
> ' code from Acadx.com to make selectionset
> Public Function CreateSelectionSet(Optional ssName As String = "ss") As
> AcadSelectionSet
>
> Dim ss As AcadSelectionSet
> On Error Resume Next
> Set ss = ThisDrawing.SelectionSets(ssName)
> If Err Then Set ss = ThisDrawing.SelectionSets.Add(ssName)
> ss.Clear
> Set CreateSelectionSet = ss
> End Function
>
> Sub test()
> Dim ss As AcadSelectionSet
> Dim fType(0 To 1) As Integer, fData(0 To 1)
> Dim index As Long, i As Long
> Dim ent As AcadEntity
> Set ss = CreateSelectionSet
> fType(0) = 67: fData(0) = 1
> fType(1) = 0: fData(1) = "VIEWPORT"
> ss.Select acSelectionSetAll, , , fType, fData
> If ss.Count = 0 Then
> Set ss = Nothing
> Else
> For i = 0 To ss.Count - 1
> Set ent = ss(i)
> ent.RemoveHiddenLines = True
> ent.Update ' tried this to see if it would work
> Next
> End If
> End Sub
>
>
> AHGA
>
>
> --
> Shawn Romkey P.Geo
> Noranda Mining
>
>
Message 3 of 3
Anonymous
in reply to: Anonymous

ha

Guess I answered my own question!

ThisDrawing.Application.Update

seems to work, now if they would just fix the DWF 6 so it is unnecessary!


--
Shawn Romkey P.Geo
Noranda Mining

"Shawn Romkey" wrote in message
news:F7137E1A681254CC81D292B42552AB7D@in.WebX.maYIadrTaRb...
> Some further info
>
> It appears the code does work but only if you save the drawing and then
> reenter it, at that point the hide property is set to yes. Anyway of
> forcing the update immediately without leaving the drawing?
>
> AHGA
>
>
> --
> Shawn Romkey P.Geo
> Noranda Mining
>
> "Shawn Romkey" wrote in message
> news:1B8B6C9E994388200983AA087E372555@in.WebX.maYIadrTaRb...
> > To all
> >
> > I have found a bug in the new Expressviewer that is a little irratiating
> and
> > have to work around it with some programming. Basically the bug is when
a
> > view port in paperspace has the hide property set to no then if the view
> is
> > clipped objects show through the clip on the DWF file (if you plot from
> CAD
> > they are OK, only show up in the DWF file). So.. I have to redefine the
> > publish command to set all the viewports to hide = yes
> >
> > Below is the code but for some reason it doesn't change the hide option
on
> > the property, any idea's why?
> >
> > ' code from Acadx.com to make selectionset
> > Public Function CreateSelectionSet(Optional ssName As String = "ss") As
> > AcadSelectionSet
> >
> > Dim ss As AcadSelectionSet
> > On Error Resume Next
> > Set ss = ThisDrawing.SelectionSets(ssName)
> > If Err Then Set ss = ThisDrawing.SelectionSets.Add(ssName)
> > ss.Clear
> > Set CreateSelectionSet = ss
> > End Function
> >
> > Sub test()
> > Dim ss As AcadSelectionSet
> > Dim fType(0 To 1) As Integer, fData(0 To 1)
> > Dim index As Long, i As Long
> > Dim ent As AcadEntity
> > Set ss = CreateSelectionSet
> > fType(0) = 67: fData(0) = 1
> > fType(1) = 0: fData(1) = "VIEWPORT"
> > ss.Select acSelectionSetAll, , , fType, fData
> > If ss.Count = 0 Then
> > Set ss = Nothing
> > Else
> > For i = 0 To ss.Count - 1
> > Set ent = ss(i)
> > ent.RemoveHiddenLines = True
> > ent.Update ' tried this to see if it would work
> > Next
> > End If
> > End Sub
> >
> >
> > AHGA
> >
> >
> > --
> > Shawn Romkey P.Geo
> > Noranda Mining
> >
> >
>
>

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost